Duplicate Consistency Task¶
Get¶
HTTP Request
GET /api/v1/sap-posting-bot/duplicate-consistency-check/tasks/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "queueTime": "2019-08-24T14:15:22Z",
17 "startTime": "2019-08-24T14:15:22Z",
18 "endTime": "2019-08-24T14:15:22Z",
19 "interruptedAt": "2019-08-24T14:15:22Z",
20 "recoveredAt": "2019-08-24T14:15:22Z",
21 "status": "CREATED",
22 "recover": true,
23 "interrupted": true,
24 "interruptionMessage": "string",
25 "errorMessage": "string",
26 "erpSystem": {
27 "id": 0,
28 "displayId": "string"
29 },
30 "chunkSize": 0,
31 "reversalReason": {
32 "id": 0,
33 "displayId": "string"
34 },
35 "postingDate": "2019-08-24",
36 "scheduledItemCount": {
37 "duplicateCount": 0,
38 "consistencyCount": 0,
39 "totalCount": 0
40 },
41 "processingItemCount": {
42 "duplicateCount": 0,
43 "consistencyCount": 0,
44 "totalCount": 0
45 },
46 "doneItemCount": {
47 "duplicateCount": 0,
48 "consistencyCount": 0,
49 "totalCount": 0
50 },
51 "failedItemCount": {
52 "duplicateCount": 0,
53 "consistencyCount": 0,
54 "totalCount": 0
55 },
56 "pendingItemCount": {
57 "duplicateCount": 0,
58 "consistencyCount": 0,
59 "totalCount": 0
60 },
61 "totalItemCount": {
62 "duplicateCount": 0,
63 "consistencyCount": 0,
64 "totalCount": 0
65 }
66 }
67}
Update¶
HTTP Request
PUT /api/v1/sap-posting-bot/duplicate-consistency-check/tasks/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "queueTime": "2019-08-24T14:15:22Z",
4 "startTime": "2019-08-24T14:15:22Z",
5 "endTime": "2019-08-24T14:15:22Z",
6 "interruptedAt": "2019-08-24T14:15:22Z",
7 "recoveredAt": "2019-08-24T14:15:22Z",
8 "status": "CREATED",
9 "recover": true,
10 "interrupted": true,
11 "interruptionMessage": "string",
12 "errorMessage": "string",
13 "erpSystem": {
14 "id": 0,
15 "displayId": "string"
16 },
17 "chunkSize": 0,
18 "reversalReason": {
19 "id": 0,
20 "displayId": "string"
21 },
22 "postingDate": "2019-08-24",
23 "scheduledItemCount": {
24 "duplicateCount": 0,
25 "consistencyCount": 0,
26 "totalCount": 0
27 },
28 "processingItemCount": {
29 "duplicateCount": 0,
30 "consistencyCount": 0,
31 "totalCount": 0
32 },
33 "doneItemCount": {
34 "duplicateCount": 0,
35 "consistencyCount": 0,
36 "totalCount": 0
37 },
38 "failedItemCount": {
39 "duplicateCount": 0,
40 "consistencyCount": 0,
41 "totalCount": 0
42 },
43 "pendingItemCount": {
44 "duplicateCount": 0,
45 "consistencyCount": 0,
46 "totalCount": 0
47 },
48 "totalItemCount": {
49 "duplicateCount": 0,
50 "consistencyCount": 0,
51 "totalCount": 0
52 }
53}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "queueTime": "2019-08-24T14:15:22Z",
17 "startTime": "2019-08-24T14:15:22Z",
18 "endTime": "2019-08-24T14:15:22Z",
19 "interruptedAt": "2019-08-24T14:15:22Z",
20 "recoveredAt": "2019-08-24T14:15:22Z",
21 "status": "CREATED",
22 "recover": true,
23 "interrupted": true,
24 "interruptionMessage": "string",
25 "errorMessage": "string",
26 "erpSystem": {
27 "id": 0,
28 "displayId": "string"
29 },
30 "chunkSize": 0,
31 "reversalReason": {
32 "id": 0,
33 "displayId": "string"
34 },
35 "postingDate": "2019-08-24",
36 "scheduledItemCount": {
37 "duplicateCount": 0,
38 "consistencyCount": 0,
39 "totalCount": 0
40 },
41 "processingItemCount": {
42 "duplicateCount": 0,
43 "consistencyCount": 0,
44 "totalCount": 0
45 },
46 "doneItemCount": {
47 "duplicateCount": 0,
48 "consistencyCount": 0,
49 "totalCount": 0
50 },
51 "failedItemCount": {
52 "duplicateCount": 0,
53 "consistencyCount": 0,
54 "totalCount": 0
55 },
56 "pendingItemCount": {
57 "duplicateCount": 0,
58 "consistencyCount": 0,
59 "totalCount": 0
60 },
61 "totalItemCount": {
62 "duplicateCount": 0,
63 "consistencyCount": 0,
64 "totalCount": 0
65 }
66 }
67}
Create Or Update¶
HTTP Request
PUT /api/v1/sap-posting-bot/duplicate-consistency-check/tasks/createOrUpdate
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "queueTime": "2019-08-24T14:15:22Z",
4 "startTime": "2019-08-24T14:15:22Z",
5 "endTime": "2019-08-24T14:15:22Z",
6 "interruptedAt": "2019-08-24T14:15:22Z",
7 "recoveredAt": "2019-08-24T14:15:22Z",
8 "status": "CREATED",
9 "recover": true,
10 "interrupted": true,
11 "interruptionMessage": "string",
12 "errorMessage": "string",
13 "erpSystem": {
14 "id": 0,
15 "displayId": "string"
16 },
17 "chunkSize": 0,
18 "reversalReason": {
19 "id": 0,
20 "displayId": "string"
21 },
22 "postingDate": "2019-08-24",
23 "scheduledItemCount": {
24 "duplicateCount": 0,
25 "consistencyCount": 0,
26 "totalCount": 0
27 },
28 "processingItemCount": {
29 "duplicateCount": 0,
30 "consistencyCount": 0,
31 "totalCount": 0
32 },
33 "doneItemCount": {
34 "duplicateCount": 0,
35 "consistencyCount": 0,
36 "totalCount": 0
37 },
38 "failedItemCount": {
39 "duplicateCount": 0,
40 "consistencyCount": 0,
41 "totalCount": 0
42 },
43 "pendingItemCount": {
44 "duplicateCount": 0,
45 "consistencyCount": 0,
46 "totalCount": 0
47 },
48 "totalItemCount": {
49 "duplicateCount": 0,
50 "consistencyCount": 0,
51 "totalCount": 0
52 }
53}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "queueTime": "2019-08-24T14:15:22Z",
17 "startTime": "2019-08-24T14:15:22Z",
18 "endTime": "2019-08-24T14:15:22Z",
19 "interruptedAt": "2019-08-24T14:15:22Z",
20 "recoveredAt": "2019-08-24T14:15:22Z",
21 "status": "CREATED",
22 "recover": true,
23 "interrupted": true,
24 "interruptionMessage": "string",
25 "errorMessage": "string",
26 "erpSystem": {
27 "id": 0,
28 "displayId": "string"
29 },
30 "chunkSize": 0,
31 "reversalReason": {
32 "id": 0,
33 "displayId": "string"
34 },
35 "postingDate": "2019-08-24",
36 "scheduledItemCount": {
37 "duplicateCount": 0,
38 "consistencyCount": 0,
39 "totalCount": 0
40 },
41 "processingItemCount": {
42 "duplicateCount": 0,
43 "consistencyCount": 0,
44 "totalCount": 0
45 },
46 "doneItemCount": {
47 "duplicateCount": 0,
48 "consistencyCount": 0,
49 "totalCount": 0
50 },
51 "failedItemCount": {
52 "duplicateCount": 0,
53 "consistencyCount": 0,
54 "totalCount": 0
55 },
56 "pendingItemCount": {
57 "duplicateCount": 0,
58 "consistencyCount": 0,
59 "totalCount": 0
60 },
61 "totalItemCount": {
62 "duplicateCount": 0,
63 "consistencyCount": 0,
64 "totalCount": 0
65 }
66 }
67}
Create Or Update Bulk¶
HTTP Request
PUT /api/v1/sap-posting-bot/duplicate-consistency-check/tasks/createOrUpdate/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "queueTime": "2019-08-24T14:15:22Z",
5 "startTime": "2019-08-24T14:15:22Z",
6 "endTime": "2019-08-24T14:15:22Z",
7 "interruptedAt": "2019-08-24T14:15:22Z",
8 "recoveredAt": "2019-08-24T14:15:22Z",
9 "status": "CREATED",
10 "recover": true,
11 "interrupted": true,
12 "interruptionMessage": "string",
13 "errorMessage": "string",
14 "erpSystem": {
15 "id": 0,
16 "displayId": "string"
17 },
18 "chunkSize": 0,
19 "reversalReason": {
20 "id": 0,
21 "displayId": "string"
22 },
23 "postingDate": "2019-08-24",
24 "scheduledItemCount": {
25 "duplicateCount": 0,
26 "consistencyCount": 0,
27 "totalCount": 0
28 },
29 "processingItemCount": {
30 "duplicateCount": 0,
31 "consistencyCount": 0,
32 "totalCount": 0
33 },
34 "doneItemCount": {
35 "duplicateCount": 0,
36 "consistencyCount": 0,
37 "totalCount": 0
38 },
39 "failedItemCount": {
40 "duplicateCount": 0,
41 "consistencyCount": 0,
42 "totalCount": 0
43 },
44 "pendingItemCount": {
45 "duplicateCount": 0,
46 "consistencyCount": 0,
47 "totalCount": 0
48 },
49 "totalItemCount": {
50 "duplicateCount": 0,
51 "consistencyCount": 0,
52 "totalCount": 0
53 }
54 }
55]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "queueTime": "2019-08-24T14:15:22Z",
18 "startTime": "2019-08-24T14:15:22Z",
19 "endTime": "2019-08-24T14:15:22Z",
20 "interruptedAt": "2019-08-24T14:15:22Z",
21 "recoveredAt": "2019-08-24T14:15:22Z",
22 "status": "CREATED",
23 "recover": true,
24 "interrupted": true,
25 "interruptionMessage": "string",
26 "errorMessage": "string",
27 "erpSystem": {
28 "id": 0,
29 "displayId": "string"
30 },
31 "chunkSize": 0,
32 "reversalReason": {
33 "id": 0,
34 "displayId": "string"
35 },
36 "postingDate": "2019-08-24",
37 "scheduledItemCount": {
38 "duplicateCount": 0,
39 "consistencyCount": 0,
40 "totalCount": 0
41 },
42 "processingItemCount": {
43 "duplicateCount": 0,
44 "consistencyCount": 0,
45 "totalCount": 0
46 },
47 "doneItemCount": {
48 "duplicateCount": 0,
49 "consistencyCount": 0,
50 "totalCount": 0
51 },
52 "failedItemCount": {
53 "duplicateCount": 0,
54 "consistencyCount": 0,
55 "totalCount": 0
56 },
57 "pendingItemCount": {
58 "duplicateCount": 0,
59 "consistencyCount": 0,
60 "totalCount": 0
61 },
62 "totalItemCount": {
63 "duplicateCount": 0,
64 "consistencyCount": 0,
65 "totalCount": 0
66 }
67 }
68 ]
69}
Bulk Update¶
HTTP Request
PUT /api/v1/sap-posting-bot/duplicate-consistency-check/tasks/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "queueTime": "2019-08-24T14:15:22Z",
5 "startTime": "2019-08-24T14:15:22Z",
6 "endTime": "2019-08-24T14:15:22Z",
7 "interruptedAt": "2019-08-24T14:15:22Z",
8 "recoveredAt": "2019-08-24T14:15:22Z",
9 "status": "CREATED",
10 "recover": true,
11 "interrupted": true,
12 "interruptionMessage": "string",
13 "errorMessage": "string",
14 "erpSystem": {
15 "id": 0,
16 "displayId": "string"
17 },
18 "chunkSize": 0,
19 "reversalReason": {
20 "id": 0,
21 "displayId": "string"
22 },
23 "postingDate": "2019-08-24",
24 "scheduledItemCount": {
25 "duplicateCount": 0,
26 "consistencyCount": 0,
27 "totalCount": 0
28 },
29 "processingItemCount": {
30 "duplicateCount": 0,
31 "consistencyCount": 0,
32 "totalCount": 0
33 },
34 "doneItemCount": {
35 "duplicateCount": 0,
36 "consistencyCount": 0,
37 "totalCount": 0
38 },
39 "failedItemCount": {
40 "duplicateCount": 0,
41 "consistencyCount": 0,
42 "totalCount": 0
43 },
44 "pendingItemCount": {
45 "duplicateCount": 0,
46 "consistencyCount": 0,
47 "totalCount": 0
48 },
49 "totalItemCount": {
50 "duplicateCount": 0,
51 "consistencyCount": 0,
52 "totalCount": 0
53 }
54 }
55]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "queueTime": "2019-08-24T14:15:22Z",
18 "startTime": "2019-08-24T14:15:22Z",
19 "endTime": "2019-08-24T14:15:22Z",
20 "interruptedAt": "2019-08-24T14:15:22Z",
21 "recoveredAt": "2019-08-24T14:15:22Z",
22 "status": "CREATED",
23 "recover": true,
24 "interrupted": true,
25 "interruptionMessage": "string",
26 "errorMessage": "string",
27 "erpSystem": {
28 "id": 0,
29 "displayId": "string"
30 },
31 "chunkSize": 0,
32 "reversalReason": {
33 "id": 0,
34 "displayId": "string"
35 },
36 "postingDate": "2019-08-24",
37 "scheduledItemCount": {
38 "duplicateCount": 0,
39 "consistencyCount": 0,
40 "totalCount": 0
41 },
42 "processingItemCount": {
43 "duplicateCount": 0,
44 "consistencyCount": 0,
45 "totalCount": 0
46 },
47 "doneItemCount": {
48 "duplicateCount": 0,
49 "consistencyCount": 0,
50 "totalCount": 0
51 },
52 "failedItemCount": {
53 "duplicateCount": 0,
54 "consistencyCount": 0,
55 "totalCount": 0
56 },
57 "pendingItemCount": {
58 "duplicateCount": 0,
59 "consistencyCount": 0,
60 "totalCount": 0
61 },
62 "totalItemCount": {
63 "duplicateCount": 0,
64 "consistencyCount": 0,
65 "totalCount": 0
66 }
67 }
68 ]
69}
Search¶
HTTP Request
POST /api/v1/sap-posting-bot/duplicate-consistency-check/tasks/search
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Zero-based page index (0..N) |
size |
query |
integer |
false |
The size of the page to be returned |
sort |
query |
array[string] |
false |
Sorting criteria in the format: property,(asc |
body |
body |
false |
none |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
sort |
|
query |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1 |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "queueTimeGreaterThanOrEqual": "2019-08-24T14:15:22Z",
16 "queueTimeLessThanOrEqual": "2019-08-24T14:15:22Z",
17 "startTimeGreaterThanOrEqual": "2019-08-24T14:15:22Z",
18 "startTimeLessThanOrEqual": "2019-08-24T14:15:22Z",
19 "endTimeGreaterThanOrEqual": "2019-08-24T14:15:22Z",
20 "endTimeLessThanOrEqual": "2019-08-24T14:15:22Z",
21 "statusIn": [
22 "CREATED"
23 ],
24 "statusEqual": "CREATED",
25 "systemIdEqual": 0,
26 "systemDisplayIdLike": "string"
27}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": true,
7 "paged": true,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "queueTime": "2019-08-24T14:15:22Z",
22 "startTime": "2019-08-24T14:15:22Z",
23 "endTime": "2019-08-24T14:15:22Z",
24 "interruptedAt": "2019-08-24T14:15:22Z",
25 "recoveredAt": "2019-08-24T14:15:22Z",
26 "status": "CREATED",
27 "recover": true,
28 "interrupted": true,
29 "interruptionMessage": "string",
30 "errorMessage": "string",
31 "erpSystem": {
32 "id": 0,
33 "displayId": "string"
34 },
35 "chunkSize": 0,
36 "reversalReason": {
37 "id": 0,
38 "displayId": "string"
39 },
40 "postingDate": "2019-08-24",
41 "scheduledItemCount": {
42 "duplicateCount": 0,
43 "consistencyCount": 0,
44 "totalCount": 0
45 },
46 "processingItemCount": {
47 "duplicateCount": 0,
48 "consistencyCount": 0,
49 "totalCount": 0
50 },
51 "doneItemCount": {
52 "duplicateCount": 0,
53 "consistencyCount": 0,
54 "totalCount": 0
55 },
56 "failedItemCount": {
57 "duplicateCount": 0,
58 "consistencyCount": 0,
59 "totalCount": 0
60 },
61 "pendingItemCount": {
62 "duplicateCount": 0,
63 "consistencyCount": 0,
64 "totalCount": 0
65 },
66 "totalItemCount": {
67 "duplicateCount": 0,
68 "consistencyCount": 0,
69 "totalCount": 0
70 }
71 }
72 ],
73 "number": 0,
74 "sort": {
75 "unsorted": true,
76 "sorted": true,
77 "empty": true
78 },
79 "first": true,
80 "last": true,
81 "empty": true
82}
Create¶
HTTP Request
POST /api/v1/sap-posting-bot/duplicate-consistency-check/tasks/execute
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "erpSystem": {
3 "id": 0,
4 "displayId": "string"
5 },
6 "consistencyCheckIncludeItemIds": [
7 0
8 ],
9 "consistencyCheckExcludeItemIds": [
10 0
11 ],
12 "consistencyCheckAllItems": true,
13 "duplicatePostingsIncludeItemIds": [
14 0
15 ],
16 "duplicatePostingsExcludeItemIds": [
17 0
18 ],
19 "duplicatePostingsAllItems": true,
20 "reversalReason": {
21 "id": 0,
22 "displayId": "string"
23 },
24 "postingDate": "2019-08-24"
25}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "queueTime": "2019-08-24T14:15:22Z",
17 "startTime": "2019-08-24T14:15:22Z",
18 "endTime": "2019-08-24T14:15:22Z",
19 "interruptedAt": "2019-08-24T14:15:22Z",
20 "recoveredAt": "2019-08-24T14:15:22Z",
21 "status": "CREATED",
22 "recover": true,
23 "interrupted": true,
24 "interruptionMessage": "string",
25 "errorMessage": "string",
26 "erpSystem": {
27 "id": 0,
28 "displayId": "string"
29 },
30 "chunkSize": 0,
31 "reversalReason": {
32 "id": 0,
33 "displayId": "string"
34 },
35 "postingDate": "2019-08-24",
36 "scheduledItemCount": {
37 "duplicateCount": 0,
38 "consistencyCount": 0,
39 "totalCount": 0
40 },
41 "processingItemCount": {
42 "duplicateCount": 0,
43 "consistencyCount": 0,
44 "totalCount": 0
45 },
46 "doneItemCount": {
47 "duplicateCount": 0,
48 "consistencyCount": 0,
49 "totalCount": 0
50 },
51 "failedItemCount": {
52 "duplicateCount": 0,
53 "consistencyCount": 0,
54 "totalCount": 0
55 },
56 "pendingItemCount": {
57 "duplicateCount": 0,
58 "consistencyCount": 0,
59 "totalCount": 0
60 },
61 "totalItemCount": {
62 "duplicateCount": 0,
63 "consistencyCount": 0,
64 "totalCount": 0
65 }
66 }
67}
Cancel¶
HTTP Request
POST /api/v1/sap-posting-bot/duplicate-consistency-check/tasks/cancel/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Bulk Cancel¶
HTTP Request
POST /api/v1/sap-posting-bot/duplicate-consistency-check/tasks/cancel/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
true |
none |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Find All¶
HTTP Request
GET /api/v1/sap-posting-bot/duplicate-consistency-check/tasks
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": true,
7 "paged": true,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "queueTime": "2019-08-24T14:15:22Z",
22 "startTime": "2019-08-24T14:15:22Z",
23 "endTime": "2019-08-24T14:15:22Z",
24 "interruptedAt": "2019-08-24T14:15:22Z",
25 "recoveredAt": "2019-08-24T14:15:22Z",
26 "status": "CREATED",
27 "recover": true,
28 "interrupted": true,
29 "interruptionMessage": "string",
30 "errorMessage": "string",
31 "erpSystem": {
32 "id": 0,
33 "displayId": "string"
34 },
35 "chunkSize": 0,
36 "reversalReason": {
37 "id": 0,
38 "displayId": "string"
39 },
40 "postingDate": "2019-08-24",
41 "scheduledItemCount": {
42 "duplicateCount": 0,
43 "consistencyCount": 0,
44 "totalCount": 0
45 },
46 "processingItemCount": {
47 "duplicateCount": 0,
48 "consistencyCount": 0,
49 "totalCount": 0
50 },
51 "doneItemCount": {
52 "duplicateCount": 0,
53 "consistencyCount": 0,
54 "totalCount": 0
55 },
56 "failedItemCount": {
57 "duplicateCount": 0,
58 "consistencyCount": 0,
59 "totalCount": 0
60 },
61 "pendingItemCount": {
62 "duplicateCount": 0,
63 "consistencyCount": 0,
64 "totalCount": 0
65 },
66 "totalItemCount": {
67 "duplicateCount": 0,
68 "consistencyCount": 0,
69 "totalCount": 0
70 }
71 }
72 ],
73 "number": 0,
74 "sort": {
75 "unsorted": true,
76 "sorted": true,
77 "empty": true
78 },
79 "first": true,
80 "last": true,
81 "empty": true
82}
Get Duplicate Posting Task Report Items¶
HTTP Request
GET /api/v1/sap-posting-bot/duplicate-consistency-check/tasks/{taskId}/report-item/duplicate-posting
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
taskId |
path |
integer(int64) |
true |
none |
pageable |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": true,
7 "paged": true,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "ledgerType": "LIABILITY",
22 "company": {
23 "id": 0,
24 "displayId": "string"
25 },
26 "unit": {
27 "id": 0,
28 "displayId": "string"
29 },
30 "accountingStandard": {
31 "id": 0,
32 "displayId": "string"
33 },
34 "erpSystem": {
35 "id": 0,
36 "displayId": "string"
37 },
38 "ledgerTransactionId": 0,
39 "internalDocumentNumber": "string",
40 "pickedByTaskId": 0,
41 "foundByJobIds": [
42 0
43 ],
44 "status": "PENDING",
45 "errorMessage": "string",
46 "originalStatus": "PENDING",
47 "originalErrorMessage": "string",
48 "objKey": "string",
49 "objType": "string",
50 "reversalReason": {
51 "id": 0,
52 "displayId": "string"
53 },
54 "postingDate": "string"
55 }
56 ],
57 "number": 0,
58 "sort": {
59 "unsorted": true,
60 "sorted": true,
61 "empty": true
62 },
63 "first": true,
64 "last": true,
65 "empty": true
66}
Get Duplicate Posting Report Items¶
HTTP Request
GET /api/v1/sap-posting-bot/duplicate-consistency-check/tasks/{systemId}/report/duplicate-posting
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
systemId |
path |
integer(int64) |
true |
none |
pageable |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": true,
7 "paged": true,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "ledgerType": "LIABILITY",
22 "company": {
23 "id": 0,
24 "displayId": "string"
25 },
26 "unit": {
27 "id": 0,
28 "displayId": "string"
29 },
30 "accountingStandard": {
31 "id": 0,
32 "displayId": "string"
33 },
34 "erpSystem": {
35 "id": 0,
36 "displayId": "string"
37 },
38 "ledgerTransactionId": 0,
39 "internalDocumentNumber": "string",
40 "pickedByTaskId": 0,
41 "foundByJobIds": [
42 0
43 ],
44 "status": "PENDING",
45 "errorMessage": "string",
46 "originalStatus": "PENDING",
47 "originalErrorMessage": "string",
48 "objKey": "string",
49 "objType": "string",
50 "reversalReason": {
51 "id": 0,
52 "displayId": "string"
53 },
54 "postingDate": "string"
55 }
56 ],
57 "number": 0,
58 "sort": {
59 "unsorted": true,
60 "sorted": true,
61 "empty": true
62 },
63 "first": true,
64 "last": true,
65 "empty": true
66}